import axios from 'axios'

const urlBase = "http://127.0.0.1:5000/"

export default {

    login(data) {
        let login = data[0]
        let motDePasse = data[1]
  /*      let reponse = ""
        axios.get(urlBase + "checkUser?login=" + login + "&password=" + motDePasse).then(function (response) {
             reponse =  response.data
        })*/
        return  axios.get(urlBase + "checkUser?login=" + login + "&password=" + motDePasse)
    },

    getPanierAuteur(auteur){
        return axios.get(urlBase + "getContenuPanier/" + auteur + "?perso=True&tiers=True&enCours=true")
    },

    getBanqueAuteur(auteur){
        return axios.get(urlBase + "getContenuBanque/" + auteur)
    },

    getContenuById(idContenu){
        return axios.get(urlBase + "getContenu/" + idContenu)
    },

    mettreContenuTiers(data){
        axios.patch(urlBase + "ajouterTiers", data)
    },

    creerContenuPerso(data){
        axios.post(urlBase + "newContenu", data)
    },


    creerEnCours(data){
        axios.post(urlBase + "newEnCours", data)
    },

    supprimerEnCours(idEnCours){
        axios.delete(urlBase + "supprimerEnCours/" + idEnCours)
    },


    publierContenu(data){
      axios.post(urlBase + "demandePublication/" , data)
    },

    supprimerContenu(idContenu){
        axios.delete(urlBase + "demandePublication/" + idContenu)
    },

    supprimerTiers(idTiers){
        axios.delete(urlBase + "deleteTiers/" + idTiers)
    },

    getPublications(auteur, emise){
        return axios.get(urlBase + "get_demandes_pub/" + auteur + "/" + emise)
    },

    gererMajRecue(){

    },

    gererMajProposee(){

    },

    majCOntenu(){


    }

    // bonus : fonction de récupération des tags pour getPanier et getBanque






}